
package de.ivu.elect.presentation.entschaedigung.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.entschaedigung.boundary.EntschaedigungsartChangeEvent;
import de.ivu.elect.business.entschaedigung.boundary.EntschaedigungsartConversationSelect;
import de.ivu.elect.business.entschaedigung.entity.Entschaedigungsart;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractEntschaedigungsartAction extends AbstractActionEntry<Entschaedigungsart> {

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient EntschaedigungsartConversationSelect entschaedigungsartConversationSelect;

  @Inject
  protected transient EntschaedigungsartChangeEvent entschaedigungsartChangeEvent;

  public AbstractEntschaedigungsartAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  public boolean isDisabledInternal(@Nonnull Entschaedigungsart entschaedigungsart) {
    return false;
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    entschaedigungsartChangeEvent.sendChangeEvent();
  }
}
